Contents
Index 🔎︎

# Atn Function

Trigonomeetriline funktsioon, mis tagastab arvavaldise arkustangensi. Tagastatav väärtus on vahemikus -π/2 kuni +π/2.

Arkustangens on tangensifunktsiooni pöördväärtus. Funktsioon Atn tagastab nurga alfa (radiaanides), kasutades selleks nurga tangensit. Funktsioon võib nurga alfa tagastada ka võrreldes täisnurkses kolmnurgas nurga vastaskaateti pikkust lähiskaateti pikkusega.

Atn(nurga vastaskaatet/nurga lähiskaatet)= alfa

### Syntax:

            Atn (arv)

### Return value:

Double

### Parameters:

Arv: suvaline arvavaldis, mis tähistab täisnurkse kolmnurga kahe külje suhet. Funktsioon Atn tagastab vastava nurga radiaanides (arkustangensi).

Radiaanide teisendamiseks kraadidesse korruta radiaanid 180/pii.

kraadid=(radiaanid*180)/pii

radiaanid=(kraadid*pii)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

## Error codes:

5 Vigane protseduuri väljakutse

### Example:

            REM Järgmises näites arvutatakse väärtus täisnurkse kolmnurga korral.
            REM nurk Alfa nurga Alfa tangensist:
            Sub ExampleAtn
            REM ümardatud pii = 3.14159 on eeldefineeritud konstant
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Sisesta nurga lähiskaateti pikkus: ","Lähis")
                d2 = InputBox("Sisesta nurga vastaskaateti pikkus: ","Vastas")
                Print "Nurk alfa on"; (atn (d2/d1) * 180 / pii); " kraadi"
            End Sub